//MRGCPYJ2 JOB SIMOTIME,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*       MRGCPYJ2.jcl - a JCL Member for Batch Job Processing        *
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2016 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Use IDCAMS to Merge Three Files into one file.
//* Author - SimoTime Technologies
//* Date   - January 24, 1996
//*
//* Step 1, JOBSETUP will delete any previously created file.
//* Step 2, UTCONVS2 use IEBGENER to convert 60-byte file to 80-byte.
//* Step 3, UTCONVS3 use IEBGENER to convert 40-byte file to 80-byte.
//* Step 4, APPEND03 append or concatenate three (3) files into 1 file.
//*
//* This job will run on a Mainframe System under ZOS or a Linux,
//* UNIX or Windows System and Micro Focus Enterprise Developer.
//*
//* 1. Demonstrate how to use IEFBR14 with DD statements to delete
//*    files that have been created by a previous execution of this
//*    job.
//* 2. Demonstrate how to use IEBGENER to convert a file with 60-byte
//*    records to a file with 80-byte records. The output file is
//*    defined as a Temporary Data Set and will only exist for the
//*    duration of the job.
//* 2. Demonstrate how to use IEBGENER to convert a file with 40-byte
//*    records to a file with 80-byte records. The output file is
//*    defined as a Temporary Data Set and will only exist for the
//*    duration of the job.
//* 4. Demonstrate how to merge 3 files into 1 file, use concatenated
//*    data files and IDCAMS REPRO.
//*
//* *******************************************************************
//* Step 1 of 4, Delete any previously created file...
//*
//JOBSETUP EXEC PGM=IEFBR14
//MRGOUTD2 DD  DSN=SIMOTIME.DATA.MRGOUTD2,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//*
//* *******************************************************************
//* Step 2 of 4, Read a File with 60-byte records,
//*              write to file of 80-byte records...
//*
//UTCONVS2 EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  *
 GENERATE MAXFLDS=2,MAXLITS=20
 RECORD FIELD=(60,1,,1),FIELD=(20,'                    ',,61)
/*
//*
//SYSUT1   DD  DSN=SIMOTIME.DATA.MRG060D1,DISP=SHR
//SYSUT2   DD  DSN=&&MRG060T1,
//             DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//*
//* *******************************************************************
//* Step 3 of 4, Read a File with 40-byte records,
//*              write to file of 80-byte records...
//*
//UTCONVS3 EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  *
 GENERATE MAXFLDS=2,MAXLITS=40
 RECORD FIELD=(40,1,,1),
        FIELD=(40,'                                        ',,41)
/*
//*
//SYSUT1   DD  DSN=SIMOTIME.DATA.MRG040D1,DISP=SHR
//SYSUT2   DD  DSN=&&MRG040T1,
//             DISP=(NEW,CATLG,KEEP),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//*
//* *******************************************************************
//* Step 4 of 4, Use the REPRO function of IDCAMS to merge three (3)
//*              files into one (1) file.
//*              Concatenated data files may be used as input since all
//*              the files to be merged are now the same record length.
//*
//APPEND03 EXEC PGM=IDCAMS
//SYSPRINT DD  SYSOUT=*
//SYSOUT   DD  SYSOUT=*
//SYSUDUMP DD  SYSOUT=*
//SYSUT1   DD  DSN=SIMOTIME.DATA.MRG080D1,DISP=SHR
//         DD  DSN=&&MRG060T1,DISP=SHR
//         DD  DSN=&&MRG040T1,DISP=SHR
//SYSUT2   DD  DSN=SIMOTIME.DATA.MRGOUTD2,
//             DISP=(NEW,CATLG,KEEP),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//SYSIN DD *
 REPRO                 -
  INFILE(SYSUT1)       -
  OUTFILE(SYSUT2)
/*
//*
//
