//MRGCPYJ4 JOB SIMOTIME,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*       MRGCPYJ4.jcl - a JCL Member for Batch Job Processing        *
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2016 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Merge three files into one file using SORT.
//* Author - SimoTime Technologies
//* Date   - January 24, 1996
//*
//* Step 1, JOBSETUP will delete any previously created file.
//* Step 2, UTCONVS2 will use SORT with multiple inputs.
//* Step 3, MERGES03 will use ICEMAN with multiple inputs.
//*
//* This job uses instream sorting specifications.
//*
//* This job will run on a Mainframe System under ZOS or a Linux,
//* UNIX or Windows System and Micro Focus Enterprise Developer.
//*
//* 1. Demonstrate how to use IEFBR14 with DD statements to delete
//*    files that have been created by a previous execution of this
//*    job.
//* 2. Demonstrate how to use JCL with the ICETOOL program to convert
//*    the  file with 60-byte fixed length records and the file with
//*    40-byte fixed length records into two Temporary Data Sets with
//*    80-byte fixed length records.
//* 3. Demonstrate how to use JCL with the ICEMAN program to merge
//*    three (3) files into one (1) file. This SORT step will use the
//*    multiple SORT input (SORTIN01, SORTIN02 and SORTIN03) function.
//*
//* *******************************************************************
//* Step 1 of 3, Delete any previously created file...
//*
//JOBSETUP EXEC PGM=IEFBR14
//MRGOUTD4 DD  DSN=SIMOTIME.DATA.MRGOUTD4,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//*
//* *******************************************************************
//* Step 2 of 3, Convert the file with 60-byte fixed length records and
//*              the file with 40-byte fixed length records into two
//*              Temporary Data Sets with 80-byte fixed length records.
//*
//UTCONVS2 EXEC PGM=ICETOOL
//TOOLMSG  DD  SYSOUT=*
//DFSMSG   DD  SYSOUT=*
//IN1      DD  DSN=SIMOTIME.DATA.MRG080D1,DISP=SHR
//IN2      DD  DSN=SIMOTIME.DATA.MRG060D1,DISP=SHR
//IN3      DD  DSN=SIMOTIME.DATA.MRG040D1,DISP=SHR
//T2       DD  DSN=&&T2,UNIT=SYSDA,SPACE=(CYL,(5,5)),DISP=(,PASS)
//T3       DD  DSN=&&T3,UNIT=SYSDA,SPACE=(CYL,(5,5)),DISP=(,PASS)
//TOOLIN   DD  *
  COPY FROM(IN2) TO(T2) USING(CTL2)
  COPY FROM(IN3) TO(T3) USING(CTL3)
/*
//CTL2CNTL DD  *
  INREC FIELDS=(1:1,60)
/*
//CTL3CNTL DD  *
  INREC FIELDS=(1:1,40)
/*
//*
//* *******************************************************************
//* Step 3 of 3, Merge three (3) files into one (1) file. This SORT
//*              step will use the multiple SORT input (SORTIN01,
//*              SORTIN02 and SORTIN03) function.
//*
//MERGES03 EXEC PGM=ICEMAN
//SYSOUT   DD  SYSOUT=*
//SORTIN01 DD  DSN=SIMOTIME.DATA.MRG080D1,DISP=(OLD,PASS)
//SORTIN02 DD  DSN=&&T2,DISP=(OLD,PASS)
//SORTIN03 DD  DSN=&&T3,DISP=(OLD,PASS)
//SORTOUT  DD  DSN=SIMOTIME.DATA.MRGOUTD4,
//             DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,DSORG=PS)
//SYSIN    DD  *
* ..:....1....:....2....:....3....:....4....:....5....:....6....:....7.
  MERGE  FIELDS=(7,8,CH,A)
  INREC  FIELDS=(1,80)
  OUTREC FIELDS=(1,80)
/*
//*
//
